org.opencv.aruco

## Class Board

- java.lang.Object
- - org.opencv.aruco.Board

- Direct Known Subclasses:
    CharucoBoard, GridBoard

      public class Board
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Board(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Board` | `__fromPtr__(long addr)`
    `static Board` | `create(java.util.List<Mat> objPoints, Dictionary dictionary, Mat ids)`
    `protected void` | `finalize()`
    `Dictionary` | `get_dictionary()`
    `MatOfInt` | `get_ids()`
    `java.util.List<MatOfPoint3f>` | `get_objPoints()`
    `long` | `getNativeObjAddr()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### Board

          protected Board(long addr)

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static Board __fromPtr__(long addr)

    - #### create

          public static Board create(java.util.List<Mat> objPoints,
                                     Dictionary dictionary,
                                     Mat ids)

    - #### get_objPoints

          public java.util.List<MatOfPoint3f> get_objPoints()

    - #### get_dictionary

          public Dictionary get_dictionary()

    - #### get_ids

          public MatOfInt get_ids()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1